package com.eactive.eai.rms.onl.manage.rule.layoutsync;

import java.util.HashMap;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import lombok.RequiredArgsConstructor;

@Service
@Transactional
@RequiredArgsConstructor
class KJBInterfaceService {

	private final KJBInterfaceDao dao;

	public void lazyInsertToIF01(HashMap<String, Object> param) throws Exception {
		HashMap detail = dao.selectDetail(param);
		if (detail == null) {
			dao.lazyInsertToIF01(param);
		}
	}

}
